import javax.swing.JOptionPane;

/*****************************************
 *  Lit un nombre entier au clavier
 *  
 *  entree :
 *   - message : message d'invite
 *
 *  sortie :
 *   - nombre de type int
 *****************************************/
int lire(String message) {
  String str = JOptionPane.showInputDialog(null, message);

  return Integer.parseInt(str) ;
}

/**************************************
*  Organise le jeu qui consiste à deviner un nombre
*
*  entrée :
*    - n : nombre à deviner
* 
*  sortie :
*    - aucune
***************************************/
void deviner(int n) {
  // valeur proposée
  int rep;
  // nombre de propositions
  int i = 0;
  
  rep = n - 1;
 
  while (rep != n && i < 5) {
    rep = lire("Proposer un nombre entier");
    if (rep < n)
      println("votre proposition est plus petite que le nombre à deviner");
    else  
      if (rep > n)
        println("votre proposition est plus grande que le nombre à deviner");
    i++;
  }
  
  if (i >= 5)
    println("perdu...");
  else
    println("Gagné !");
}

void setup() {
  deviner(23);
}


